# Delete a Compensation Type Deletes a Compensation Type from the Compensation Header Types table. Endpoint: POST /delete/COHT Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.typedId` (string, required) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.configuration` (object,null) A configuration (as JSON string) of the detail page. You can configure e.g., the additional tabs on Compensation Plan detail page, which will show information in form of a dashboard. See [Detail Page Layout and Dynamic Tabs](https://pricefx.atlassian.net/wiki/spaces/KB/pages/3980492805) for more details. - `response.data.configuration.additionalProperties` (object) - `response.data.createDate` (string) - `response.data.createdBy` (integer) - `response.data.headerFormulaName` (string) A name of the logic used for building inputs and calculating results for the Compensation Plan header, but can also manipulate the items and folders. - `response.data.label` (string,null) - `response.data.lastUpdateBy` (integer) - `response.data.lastUpdateDate` (string) - `response.data.scRecordWorkflowFormulaName` (string) A name of the approval workflow logic, which will build the approval steps for the compensation records. - `response.data.scTypeFilterFormulaName` (string,null) A name of the logic which will be used to filter the available Compensation Condition Types, while the user is adding a new item to the Compensation Plan document. - `response.data.typedId` (string) - `response.data.uniqueName` (string) A unique identification of this type. This name will be used in the Compensation Plan document as a foreign key, to identify the compensation header type used. - `response.data.userGroupEdit` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.version` (integer) - `response.data.workflowFormulaName` (string,null) A name of the approval workflow logic, which will build the approval steps for the Compensation Plan document. - `response.data.attribute1` (any) - `response.data.attribute2` (any) - `response.data.attribute3` (any) - `response.data.attribute4` (any) - `response.data.attribute5` (any) - `response.data.attribute6` (any) - `response.data.attribute7` (any) - `response.data.attribute8` (any) - `response.data.attribute9` (any) - `response.data.attribute10` (any) - `response.data.attribute11` (any) - `response.data.attribute12` (any) - `response.data.attribute13` (any) - `response.data.attribute14` (any) - `response.data.attribute15` (any) - `response.data.attribute16` (any) - `response.data.attribute17` (any) - `response.data.attribute18` (any) - `response.data.attribute19` (any) - `response.data.attribute20` (any) - `response.data.attribute21` (any) - `response.data.attribute22` (any) - `response.data.attribute23` (any) - `response.data.attribute24` (any) - `response.data.attribute25` (any) - `response.data.attribute26` (any) - `response.data.attribute27` (any) - `response.data.attribute28` (any) - `response.data.attribute29` (any) - `response.data.attribute30` (any) - `response.status` (integer)